質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
86.12%

解決済

laravelをバージョン指定して6をインストールするとエラー

kazuya12
kazuya12

総合スコア35

1回答

0グッド

0クリップ

4310閲覧

投稿2022/01/06 07:38

編集2022/01/07 02:19

今回laravelの6.xをバージョン指定してインストール「composer create-project --prefer-dist laravel/laravel blog "6.*"」を行うと下記エラーが出て、
インストールはできているのですが、Collection.phpの内部でエラーが出ています。

#13 {main} in /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Illuminate/Support/Collection.php on line 11 In Collection.php line 11: During inheritance of ArrayAccess: Uncaught ErrorException: Return type of Illuminate\Support\Collection::offsetExists($key) should either be compatib le with ArrayAccess::offsetExists(mixed $offset): bool, or the #[\ReturnTyp eWillChange] attribute should be used to temporarily suppress the notice in /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Illum inate/Support/Collection.php:1277 Stack trace: #0 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Ill uminate/Support/Collection.php(11): Illuminate\Foundation\Bootstrap\HandleE xceptions->handleError(8192, 'Return type of ...', '/Applications/M...', 12 77) #1 /Applications/MAMP/htdocs/laravel6/blog/vendor/composer/ClassLoader.php( 480): include('/Applications/M...') #2 /Applications/MAMP/htdocs/laravel6/blog/vendor/composer/ClassLoader.php( 346): Composer\Autoload\includeFile('/Applications/M...') #3 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Ill uminate/Support/helpers.php(109): Composer\Autoload\ClassLoader->loadClass( 'Illuminate\Supp...') #4 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Ill uminate/Foundation/PackageManifest.php(130): collect(Array) #5 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Ill uminate/Foundation/PackageManifest.php(106): Illuminate\Foundation\PackageM anifest->build() #6 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Ill uminate/Foundation/PackageManifest.php(89): Illuminate\Foundation\PackageMa nifest->getManifest() #7 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Ill uminate/Foundation/PackageManifest.php(78): Illuminate\Foundation\PackageMa nifest->config('aliases') #8 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Ill uminate/Foundation/Bootstrap/RegisterFacades.php(26): Illuminate\Foundation \PackageManifest->aliases() #9 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Ill uminate/Foundation/Application.php(219): Illuminate\Foundation\Bootstrap\Re gisterFacades->bootstrap(Object(Illuminate\Foundation\Application)) #10 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Il luminate/Foundation/Console/Kernel.php(320): Illuminate\Foundation\Applicat ion->bootstrapWith(Array) #11 /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Il luminate/Foundation/Console/Kernel.php(129): Illuminate\Foundation\Console\ Kernel->bootstrap() #12 /Applications/MAMP/htdocs/laravel6/blog/artisan(37): Illuminate\Foundat ion\Console\Kernel->handle(Object(Symfony\Component\Console\Input\ArgvInput ), Object(Symfony\Component\Console\Output\ConsoleOutput)) #13 {main} Script @php artisan package:discover --ansi handling the post-autoload-dump event returned with error code 255

前回インストールしたのがlaravel8.xだったのが原因かlaravel8はインストールできます。「composer create-project laravel/laravel blog "8.*" --prefer-dist
Collection.phpのエラーは、添付画像のように「Method 'Illuminate\Support\Collection::getIterator()' is not compatible with method 'Illuminate\Support\Enumerable::getIterator()'.intelephense(1038)
といくつかのメソッドがエラーとなっています。
ご指摘ありがとうございます。
開発環境
OS:macOS Monterey 12.1
PHPとMySQLの開発環境はMAMPを使用しております。
各バージョン
PHP8.0.3
Homebrew 3.3.7
Composer 2.2.3
どなたか解決方法はわかりますでしょうか?
自分でもエラーを調べてみたのですが、解決できない状態です。
よろしくお願い致します。

追記で、エラーが起こっている可能性の文言がありましたので記載します。こちらも翻訳をかけてみたりして調べたのですが解決できておりません。
何かヒントとなるようなものでも構いませんのでご教授お願い致します。

Deprecation Notice: Return type of Illuminate\Container\Container::offsetExists($key) should either be compatible with ArrayAccess::offsetExists(mixed $offset): bool, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Illuminate/Container/Container.php :1231
> @php artisan package:discover --ansi PHP Deprecated: Return type of Illuminate\Container\Container::offsetExists($key) should either be compatible with ArrayAccess::offsetExists(mixed $offset): bool, or the #[\ReturnTypeWillChange] attribute should be used to temporarily suppress the notice in /Applications/MAMP/htdocs/laravel6/blog/vendor/laravel/framework/src/Illuminate/Container/Container.php on line 1231

以下のような質問にはグッドを送りましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

グッドが多くついた質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

下記のような質問は推奨されていません。

  • 間違っている
  • 質問になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

適切な質問に修正を依頼しましょう。

AbeTakashi

2022/01/06 13:24 編集

開発環境(OSの種類、OSのバージョン、PHPの動作環境もしくは導入方法、PHPのバーションなど)は記載した方が良いと思いますよ。 参考) https://teratail.com/help/question-tips 一度上から下まで読まれるといいと思います。現状だと正しい答えが出そうにないです。
kazuya12

2022/01/07 02:12

ご指摘ありがとうございます。 開発環境は OS:macOS Monterey 12.1 PHPとMySQLの開発環境はMAMPを使用しております。 各バージョン PHP8.0.3 Homebrew 3.3.7 Composer 2.2.3

回答1

0

自己解決

PHPのバージョンを8.*から7.4にする事で解決しました!

投稿2022/02/03 00:22

kazuya12

総合スコア35

良いと思った回答にはグッドを送りましょう。
グッドが多くついた回答ほどページの上位に表示されるので、他の人が素晴らしい回答を見つけやすくなります。

下記のような回答は推奨されていません。

  • 間違っている回答
  • 質問の回答になっていない投稿
  • スパムや攻撃的な表現を用いた投稿

このような回答には修正を依頼しましょう。

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
86.12%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る